package com.jasamedika.medifirst2000.vo;

import java.util.HashSet;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.FetchType;
import javax.persistence.OneToMany;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class LayananVOCustom extends BaseTransactionVO {
	
	@OneToMany(cascade=CascadeType.ALL,fetch = FetchType.LAZY)
	@Caption(value="Object Layanan")
	private Set<LayananVO> layanan=new HashSet<LayananVO>();
	
	@OneToMany(cascade=CascadeType.ALL,fetch = FetchType.LAZY)
	@Caption(value="Object TindakanLain")
	private Set<TindakanLainVO> tindakanLain=new HashSet<TindakanLainVO>();

	public Set<LayananVO> getLayanan() {
		return layanan;
	}

	public void setLayanan(Set<LayananVO> layanan) {
		this.layanan = layanan;
	}

	public Set<TindakanLainVO> getTindakanLain() {
		return tindakanLain;
	}

	public void setTindakanLain(Set<TindakanLainVO> tindakanLain) {
		this.tindakanLain = tindakanLain;
	}

}
